Activa las notificaciones push PhoneGap Spain

Foro

Home Forums General Duda sobre crosswalk y framework7 con cordova

This topic contains 4 replies, has 4 voices, and was last updated by  ersoviet 3 meses, 2 semanas .

Viendo 5 respuestas - de la 1 a 5 (de 5 en total)
  • Duda sobre crosswalk y framework7 con cordova

    Intervenciones
  • Jorge Tejeda 
    Participant

    Buenas Noches. Tengo Realizada mi aplicación con framework 7 y cordova, mi aplicación incluye un formulario como el siguiente

    Mi aplicación lleva el Tab-var de framework7
    Alguien me puede orientar o decir por que con la versión android kitkat en adelante si me funciona el formulario pero con con la versión de android jelly bean 4.2 no ne habilita el formulario para llenarlo. Alguien sabe cual es la solución con su experiencia en framework7.

    Bueno la única solución que pude darle a esto fue con crosswalk pero no quiero instalarla crosswalk ya que me genera dos apk al compilar armv y x86 y forzosamente la persona debe saber el procesador que tiene o no????. ¿Abra alguna manera de compilarla en crosswalk pero que me incluya en un apk universal para armv y x86? O no se puede???? soy nuevo en crosswalk, o quizá abra solución con framework 7 sin instalar crosswalk para que me habilite el formulario. Agradecería sus Comentarios y ayuda. Gracias de antemano. Saludos

    • This topic was modified 2 años, 7 meses by  Jorge Tejeda.

    • This topic was modified 2 años, 7 meses by  Jorge Tejeda.
    Parias
    Parias 
    Participant

    Hola.

    La verdad es que la pregunta que realizas, me la hacía yo también. Y bueno, he estado leyendo algo de información por internet, para aclararme y a ver si puedo arrojar luces sobre el asunto.

    Si alguien cree que estoy equivocado agradecería que me corrija.

    Como casi todo el mundo sabrá, x86(intel) y arm son referencias a dos tipos de arquitecturas. La mayoría de dispositivos móviles utilizan la arm porque es la que permite alcanzar cotas más pequeñas en tanto a la construcción del microprocesador. La x86 queda reservada para ordenadores de escritorio y portátiles, por lo tanto para para windows, linux y resto compatible.

    Yo no conozco ningún dispositivo móvil con arquitectura x86, lo que no quiere decir que no lo haya, pero seguro que la gran mayoría son arm.

    Por último, leyendo la documentación del plugin de crosswalk, dice que hay una manera de generar un apk que contenga las dos arquitecturas, tampoco he profundizado más porque dice que engorda el archivo más de 40 mb. Con lo cual, no tiene sentido distribuir la x86 si es para móviles o tabletas android.

    Espero haberte sido de ayuda.

    Por cierto, hace nada he empezado a publicar una versión de un juego que he estado haciendo, uso cordova y crosswalk, me engordó 22 mb mas o menos el apk. Es el precio que tuve que pagar ;)

    https://play.google.com/apps/testing/es.pariasdev.zerofillv2

    Saludos!


    Webserveis
    Webserveis 
    Participant

    Eso es como fue el iexplorer 5.0, que los developers teníanmos que recorrer a hacks para dar compatibilidad al navegador, hasta que nos hartarmos y solo apoymos a las W3C, yo pienso lo mismo debe pasar en Android, el problema de la fragmentación de versiones…. Google y Fabricantes pasan de solucionarlo, por eso como developer solo hago compatibles mis aplicaciones des de la versiones 4.3 (pierdo target de clientes si, pero bueno prefiero que mi aplicación la disfruten pocos pero contentos) cada vez son más usuarios que adquieren nuevos terminales que ya llevan 4.4 KitKat, JellyBean va perdiendo cuota, no he usado crosswalk ya que pienso que es mejor que la app pese menos en RAM y espacio en disco, no todos los terminales vienen con GB sobrantes.
    El framework7 es muy liviano, espero que no lo sobrecarguen con chorradas en un futuro si no a base de extensiones.


    Happy code!


    Jorge Tejeda 
    Participant

    ooooooo ya gracias por la duda aclarada y por el consejo #Parias y #Webserveis. Y mi duda surgió porque ala hora de probar mi aplicación la probaba con un emulador en mi pc con kitkat y con una tablet con JellyBean, cuando lo probaba en la pc lo hacia con x86(Pense que algunos dispositivos móviles necesitaran también la de x86) y en la tablet con arm. Pero ahora se que solo la arquitectura x86 queda reservada para ordenadores de escritorio y portátiles, :lol: . Genial gracias por sus respuestas :) :)

    • This reply was modified 2 años, 6 meses by  Jorge Tejeda.

    • This reply was modified 2 años, 6 meses by  Jorge Tejeda.
    ersoviet 
    Participant

    Hola, tengo el problema con la generación de Phonegap, porque de hace poco me está compilando solo para x86 y no logro generar para arm, no tengo idea como y no consigo como, las opciones que he probado me dan error de config.xml mal formado o me compila igual para x86. Mi tablet es Intel lo cual lo que compilo le funciona, pero mi móvil es ARM lo cual lo que compilo no funciona.

    uso y siempre he usado
    <gap:plugin name=’cordova-plugin-crosswalk-webview’ source=’npm’ />

    y estoy actualmente compilando con

    <preference name=”phonegap-version” value=”cli-6.5.0″ />

    en phonegap, pero no sé que hacer. Ustedes pueden ayudarme?


Viendo 5 respuestas - de la 1 a 5 (de 5 en total)

You must be logged in to reply to this topic.